Overview
PATCH
/bucket/access-groups/{groupId}bucketRename / edit an access group
Update fields of a record in access-groups by groupId.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- groupIdpathstring
Request body
application/json · optional
- nameoptionalstring
- descriptionoptionalstring
Example
{
"name": "string",
"description": "string"
}Responses
200
Updated access group
- idstring
- ecosystemIdstring
owning ecosystem
- bucketIdstring
- namestring
- descriptionstring
- kindstring
'everyone' (seeded) or 'custom'
- metadataoptionalobject?
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"ecosystemId": "string",
"bucketId": "string",
"name": "string",
"description": "string",
"kind": "string",
"metadata": {},
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}409
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X PATCH "https://api.agenticdeveloperhub.com/bucket/access-groups/{groupId}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"description": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/bucket/access-groups/{groupId}", {
method: "PATCH",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"name\": \"string\",\n \"description\": \"string\"\n}",
});
const data = await res.json();